Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1357175

Summary: wlfreerdp - no window decoration or mouse support
Product: [Fedora] Fedora Reporter: IanB <bugzilla.blk>
Component: freerdpAssignee: Mads Kiilerich <mads>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 24CC: mads, negativo17, oholy, pahan
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: freerdp-2.0.0-23.20170302git210de68.fc25 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-03-24 18:54:46 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description IanB 2016-07-16 04:55:47 UTC
Description of problem:

wlfreerdp (Wayland freerdp command line client) ignores +decorations option and displays without any window decoration. It also does not pass mouse events through to the remote server.


How reproducible:

always

Comment 1 Fedora Update System 2017-03-21 15:43:02 UTC
freerdp-2.0.0-23.20170302git210de68.fc25 freerdp1.2-1.2.0-6.fc25 guacamole-server-0.9.11-3.fc25 remmina-1.2.0-0.32.20170302git1da1fb6.fc25 vinagre-3.22.0-4.fc25 weston-1.12.0-6.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-7191d8e808

Comment 2 Fedora Update System 2017-03-21 15:44:34 UTC
freerdp-2.0.0-23.20170302git210de68.fc25 freerdp1.2-1.2.0-6.fc25 guacamole-server-0.9.11-3.fc25 remmina-1.2.0-0.32.20170302git1da1fb6.fc25 vinagre-3.22.0-4.fc25 weston-1.12.0-6.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-7191d8e808

Comment 3 Fedora Update System 2017-03-22 00:53:01 UTC
freerdp-2.0.0-23.20170302git210de68.fc25, freerdp1.2-1.2.0-6.fc25, guacamole-server-0.9.11-3.fc25, remmina-1.2.0-0.32.20170302git1da1fb6.fc25, vinagre-3.22.0-4.fc25, weston-1.12.0-6.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-7191d8e808

Comment 4 Fedora Update System 2017-03-24 18:54:46 UTC
freerdp-2.0.0-23.20170302git210de68.fc25, freerdp1.2-1.2.0-6.fc25, guacamole-server-0.9.11-3.fc25, remmina-1.2.0-0.32.20170302git1da1fb6.fc25, vinagre-3.22.0-4.fc25, weston-1.12.0-6.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.